POST api/sticker/duplicate
Request Information
URI Parameters
None.
Body Parameters
StickerViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
None. |
|
| type | StickerTypeViewModel |
None. |
|
| relations | Collection of StickerRelationViewModel |
None. |
|
| details | Collection of StickerDetailViewModel |
None. |
|
| active | boolean |
Required |
|
| code | string |
Required Max length: 50 |
|
| id | globally unique identifier |
None. |
|
| stickerType_ID | globally unique identifier |
Required |
|
| stickerRelation_IDs | Collection of globally unique identifier |
None. |
|
| site_ID | globally unique identifier |
Required |
Request Formats
application/json, text/json
Sample:
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"type": {
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"code": "sample string 1",
"id": "00dcee54-c75f-4311-86c8-9dce19b76daf",
"technicalDescription": "sample string 3",
"active": true
},
"relations": [
{
"active": true,
"contract_ID": "93cadd7d-e622-4f38-83fc-0e995d8e0aed",
"contractItem_ID": "b6424e26-a673-4fe6-979f-8ffbbb964ffb",
"departement_ID": "be92b944-8126-4d4e-a51f-b8608173c306",
"departmentItem_ID": "f5c758bd-30d6-40a1-86e1-3a7d9a2840fb",
"iD": "7872263d-1257-4915-b17a-8d53c1681e94",
"site_ID": "b79452a2-6be7-48f6-8a2d-1b45a57bd033",
"siteCustomer_ID": "ca7b411d-12af-47f8-b8f0-6c634b2ed21c",
"sticker_ID": "258a69ff-6fd5-4b96-bb81-659d97efbd78",
"garment_ID": "db1cbbbc-79bf-44c9-920b-39ceefb8984e"
},
{
"active": true,
"contract_ID": "93cadd7d-e622-4f38-83fc-0e995d8e0aed",
"contractItem_ID": "b6424e26-a673-4fe6-979f-8ffbbb964ffb",
"departement_ID": "be92b944-8126-4d4e-a51f-b8608173c306",
"departmentItem_ID": "f5c758bd-30d6-40a1-86e1-3a7d9a2840fb",
"iD": "7872263d-1257-4915-b17a-8d53c1681e94",
"site_ID": "b79452a2-6be7-48f6-8a2d-1b45a57bd033",
"siteCustomer_ID": "ca7b411d-12af-47f8-b8f0-6c634b2ed21c",
"sticker_ID": "258a69ff-6fd5-4b96-bb81-659d97efbd78",
"garment_ID": "db1cbbbc-79bf-44c9-920b-39ceefb8984e"
}
],
"details": [
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "eff9478d-bb11-41ee-8764-a8e87cfce6a8",
"isProductionSite": true,
"isStatic": true,
"separator": "sample string 6",
"stickerType_ID": "cbef2fbb-977a-48ee-bfc9-e596f219e5dc",
"technicalDescription": "sample string 8"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "32997224-d8e3-48e5-97e9-77acaad9bb35",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "dab7a26f-974a-4f6c-ad94-bb435a49895f",
"stickerField_ID": "a31b46c6-0a1a-4bb1-939d-8dc7da9b5413",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
},
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "eff9478d-bb11-41ee-8764-a8e87cfce6a8",
"isProductionSite": true,
"isStatic": true,
"separator": "sample string 6",
"stickerType_ID": "cbef2fbb-977a-48ee-bfc9-e596f219e5dc",
"technicalDescription": "sample string 8"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "32997224-d8e3-48e5-97e9-77acaad9bb35",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "dab7a26f-974a-4f6c-ad94-bb435a49895f",
"stickerField_ID": "a31b46c6-0a1a-4bb1-939d-8dc7da9b5413",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
}
],
"active": true,
"code": "sample string 2",
"id": "6690ba66-41f5-4410-a276-4cd3c5ec68da",
"stickerType_ID": "574ce7a5-e4e2-4f99-89a5-2863c170be49",
"stickerRelation_IDs": [
"362ccb52-172d-4e5b-b85b-c2dce3c394af",
"a5ebc655-3b6b-4637-9e89-6c6f2d174e8b"
],
"site_ID": "7a19c1aa-9a65-41d2-b603-b33d02163e3f"
}
application/xml
Sample:
Sample not available.
text/xml
Sample:
Sample not available.
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"e25aacf7-973a-4596-937e-6c8354e1e455"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">e25aacf7-973a-4596-937e-6c8354e1e455</guid>